Package twisted :: Package web :: Module proxy

[show private | hide private]
[frames | no frames]

## Module twisted.web.proxy

Simplistic HTTP proxy support.

This comes in two main variants - the Proxy and the ReverseProxy.

When a Proxy is in use, a browser trying to connect to a server (say, www.yahoo.com) will be intercepted by the Proxy, and the proxy will covertly connect to the server, and return the result.

When a ReverseProxy is in use, the client connects directly to the ReverseProxy (say, www.yahoo.com) which farms off the request to one of a pool of servers, and returns the result.

Normally, a Proxy is used on the client end of an Internet connection, while a ReverseProxy is used on the server end.

Classes
`Proxy` | This class implements a simple web proxy.
`ProxyClient` | Used by ProxyClientFactory to implement a simple web proxy.
`ProxyClientFactory` | Used by ProxyRequest to implement a simple web proxy.
`ProxyRequest` | Used by Proxy to impelement a simple web proxy.
`ReverseProxy` | Implements a simple reverse proxy.
`ReverseProxyRequest` | Used by ReverseProxy to implement a simple reverse proxy.
`ReverseProxyResource` | Resource that renders the results gotten from another server

Variable Summary
`SelectReactor` | `reactor`

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

Generated by Epydoc 1.1 on Thu May 8 13:16:57 2003 | http://epydoc.sf.net